Draft PointArray/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Draft_PathArray|Path Array]]|[[Draft_Clone|Clone]]|[[Draft_Module|Draft]]|IconL=Draft_PathArray.svg|IconC=Workbench_Draft.svg|IconR=Draft_Clone.svg}}
{{Docnav|[[Draft_PathArray|Path Array]]|[[Draft_Clone|Clone]]|[[Draft_Module|Draft]]|IconL=Draft_PathArray.svg|IconC=Workbench_Draft.svg|IconR=Draft_Clone.svg}}


{{GuiCommand/it
{{GuiCommand/it
Line 82: Line 82:
}}
}}


{{docnav|[[Draft_PathArray|Path Array]]|[[Draft_Clone|Clone]]|[[Draft_Module|Draft]]|IconL=Draft_PathArray.svg|IconC=Workbench_Draft.svg|IconR=Draft_Clone.svg}}
{{Docnav|[[Draft_PathArray|Path Array]]|[[Draft_Clone|Clone]]|[[Draft_Module|Draft]]|IconL=Draft_PathArray.svg|IconC=Workbench_Draft.svg|IconR=Draft_Clone.svg}}


{{Draft Tools navi}}
{{Draft Tools navi}}

Revision as of 20:22, 11 February 2019

Draft PointArray

Posizione nel menu
Draft → PointArray
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.18
Vedere anche
Array, PathArray

Descrizione

Lo strumento PointArray posiziona le copie di una forma selezionata lungo vari punti selezionati.

The PointArray tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Object arranged at specific points

Utilizzo

  1. Creare l'oggetto shape che si desidera distribuire. I migliori risultati si ottengono quando l'oggetto è centrato sull'origine, cioè, se la sua Datiposizione è [0,0,0].
  2. Posizionare punti usando Punto di Draft.
  3. Selezionare i punti e creare un composto usando Upgrade.
  4. Prima selezionare la forma, poi il nuovo composto di punti, quindi premi il pulsante PointArray.

To create a point compound select various Draft Points and then press the Draft Upgrade button.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Opzioni

  • L'array inizia con copie della forma che non sono allineate al percorso, né traslate in una nuova posizione di default. È quindi possibile modificare l'allineamento o il vettore di traslazione nelle proprietà.

Proprietà

  • DatiBase: l'oggetto forma
  • DatiCount: Il numero di copie della forma (sola lettura)
  • DatiPointList: un composto di punti

Script

Lo strumento PointArray può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

PointArray = makePointArray(base, ptlst)
  • base è la forma da copiare, e ptlst è un oggetto con geometria, collegamenti o componenti che definiscono la posizione delle copie.

Esempio:

import FreeCAD, Draft

Polygon = Draft.makePolygon(3, radius=500.0)

p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

# Create a compound of points
addList, deleteList = Draft.upgrade([p1, p2, p3])

# Extract the compound from the list
compound = addList[0]

PointArray = Draft.makePointArray(Polygon, compound)